/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplestrutsliferay.portlet;

import com.liferay.portlet.CustomUserAttributes;
import com.liferay.portlet.UserAttributes;

import java.util.Map;

/**
 * @author Brian Wing Shun Chan
 */
public class SampleUserAttributes implements CustomUserAttributes {

	public String getValue(String name, Map userInfo) {
		if (name == null) {
			return null;
		}

		String companyId = (String)userInfo.get(
			UserAttributes.LIFERAY_COMPANY_ID);
		String userId = (String)userInfo.get(UserAttributes.LIFERAY_USER_ID);

		if (name.equals("user.name.test")) {
			return "Test Name";
		}
		else {
			return null;
		}
	}

	@Override
	public Object clone() {
		return new SampleUserAttributes();
	}

}