/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.samplestrutsliferay.struts.action;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.struts.PortletAction;
import com.liferay.samplestrutsliferay.SampleException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.PortletConfig;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author Brian Wing Shun Chan
 */
public class XAction extends PortletAction {

	@Override
	public void processAction(
			ActionMapping mapping, ActionForm form, PortletConfig portletConfig,
			ActionRequest actionRequest, ActionResponse actionResponse)
		throws Exception {

		if (_log.isInfoEnabled()) {
			_log.info("processAction");
		}

		actionResponse.setRenderParameter("x_param", "x_value");

		String exception = actionRequest.getParameter("action_exception");

		if ((exception != null) && (exception.equals("true"))) {
			throw new SampleException();
		}

		setForward(actionRequest, "portlet.sample_struts_liferay_portlet.x");
	}

	@Override
	public ActionForward render(
			ActionMapping mapping, ActionForm form, PortletConfig portletConfig,
			RenderRequest renderRequest, RenderResponse renderResponse)
		throws Exception {

		if (_log.isInfoEnabled()) {
			_log.info("render " + renderRequest.getParameter("x_param"));
		}

		String exception = renderRequest.getParameter("render_exception");

		if ((exception != null) && (exception.equals("true"))) {
			throw new SampleException();
		}

		return mapping.findForward(getForward(
			renderRequest, "portlet.sample_struts_liferay_portlet.x"));
	}

	private static Log _log = LogFactoryUtil.getLog(XAction.class);

}